Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.AudioDeviceCapabilities

    java.lang.Object
      java.lang.Enum<Skype.AudioDeviceCapabilities>
          com.skype.api.Skype.AudioDeviceCapabilities

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Skype.AudioDeviceCapabilities>

Enclosing class:
  Skype

    public static enum Skype.AudioDeviceCapabilities

extends java.lang.Enum<Skype.AudioDeviceCapabilities>
implements EnumConverting

Enum Constant Summary
`HAS_AUDIO_CAPTURE`
`HAS_AUDIO_RENDERING`
`HAS_BLUETOOTH_INTERFACE`
`HAS_LOWBANDWIDTH_CAPTURE`
`HAS_USB_INTERFACE`
`HAS_VIDEO_CAPTURE`
`HAS_VIDEO_RENDERING`
`IS_HEADSET`
`IS_WEBCAM`
`POSSIBLY_HEADSET`
`POSSIBLY_WEBCAM`

Field Summary
`static int` | `HAS_AUDIO_CAPTURE_VALUE`
`static int` | `HAS_AUDIO_RENDERING_VALUE`
`static int` | `HAS_BLUETOOTH_INTERFACE_VALUE`
`static int` | `HAS_LOWBANDWIDTH_CAPTURE_VALUE`
`static int` | `HAS_USB_INTERFACE_VALUE`
`static int` | `HAS_VIDEO_CAPTURE_VALUE`
`static int` | `HAS_VIDEO_RENDERING_VALUE`
`static int` | `IS_HEADSET_VALUE`
`static int` | `IS_WEBCAM_VALUE`
`static int` | `POSSIBLY_HEADSET_VALUE`
`static int` | `POSSIBLY_WEBCAM_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Skype.AudioDeviceCapabilities` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Skype.AudioDeviceCapabilities` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.AudioDeviceCapabilities[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HAS_VIDEO_CAPTURE

    public static final Skype.AudioDeviceCapabilities HAS_VIDEO_CAPTURE

### HAS_USB_INTERFACE

    public static final Skype.AudioDeviceCapabilities HAS_USB_INTERFACE

### POSSIBLY_HEADSET

    public static final Skype.AudioDeviceCapabilities POSSIBLY_HEADSET

### HAS_AUDIO_CAPTURE

    public static final Skype.AudioDeviceCapabilities HAS_AUDIO_CAPTURE

### HAS_AUDIO_RENDERING

    public static final Skype.AudioDeviceCapabilities HAS_AUDIO_RENDERING

### HAS_LOWBANDWIDTH_CAPTURE

    public static final Skype.AudioDeviceCapabilities HAS_LOWBANDWIDTH_CAPTURE

### IS_WEBCAM

    public static final Skype.AudioDeviceCapabilities IS_WEBCAM

### IS_HEADSET

    public static final Skype.AudioDeviceCapabilities IS_HEADSET

### POSSIBLY_WEBCAM

    public static final Skype.AudioDeviceCapabilities POSSIBLY_WEBCAM

### HAS_VIDEO_RENDERING

    public static final Skype.AudioDeviceCapabilities HAS_VIDEO_RENDERING

### HAS_BLUETOOTH_INTERFACE

    public static final Skype.AudioDeviceCapabilities HAS_BLUETOOTH_INTERFACE

Field Detail

### HAS_VIDEO_CAPTURE_VALUE

    public static final int HAS_VIDEO_CAPTURE_VALUE

See Also:
  Constant Field Values

### HAS_USB_INTERFACE_VALUE

    public static final int HAS_USB_INTERFACE_VALUE

See Also:
  Constant Field Values

### POSSIBLY_HEADSET_VALUE

    public static final int POSSIBLY_HEADSET_VALUE

See Also:
  Constant Field Values

### HAS_AUDIO_CAPTURE_VALUE

    public static final int HAS_AUDIO_CAPTURE_VALUE

See Also:
  Constant Field Values

### HAS_AUDIO_RENDERING_VALUE

    public static final int HAS_AUDIO_RENDERING_VALUE

See Also:
  Constant Field Values

### HAS_LOWBANDWIDTH_CAPTURE_VALUE

    public static final int HAS_LOWBANDWIDTH_CAPTURE_VALUE

See Also:
  Constant Field Values

### IS_WEBCAM_VALUE

    public static final int IS_WEBCAM_VALUE

See Also:
  Constant Field Values

### IS_HEADSET_VALUE

    public static final int IS_HEADSET_VALUE

See Also:
  Constant Field Values

### POSSIBLY_WEBCAM_VALUE

    public static final int POSSIBLY_WEBCAM_VALUE

See Also:
  Constant Field Values

### HAS_VIDEO_RENDERING_VALUE

    public static final int HAS_VIDEO_RENDERING_VALUE

See Also:
  Constant Field Values

### HAS_BLUETOOTH_INTERFACE_VALUE

    public static final int HAS_BLUETOOTH_INTERFACE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Skype.AudioDeviceCapabilities[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.AudioDeviceCapabilities c : Skype.AudioDeviceCapabilities.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.AudioDeviceCapabilities valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Skype.AudioDeviceCapabilities get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.